Summary:	Enhanced logging subsystem
Name:		syslog-ng
Version:	1.4.10
Release:	1.3.0
License:	GPL
Group:		Applications/System
Source0:	http://www.balabit.hu/downloads/syslog-ng/source/%{name}-%{version}.tar.gz
Source1:	syslog-ng.conf
Source2:	syslog-ng.init
Source3:	syslog-ng.log
Source4:	syslog-ng-nobind.conf
Patch0:		syslog-ng-1.4.10-Makefile.patch
Patch1:		syslog-ng-macro-overflow-gd-1.diff
Patch2:		syslog-ng-macro-overflow-fix-the-fixes-gd-1.diff
Prereq:		/sbin/chkconfig
Requires:	logrotate, tcp_wrappers
BuildRequires:	libol >= 0.2.19
Buildroot:	%{_tmppath}/%{name}-%{release}-root
Conflicts:	sysklogd

%description
Syslog-ng tries to fill the gaps original syslogd's were lacking:
powerful configurability filtering based on message content
message integrity, message encryption (not yet implemented in 1.4.x)
portability better network forwarding.

%files
  %defattr(-,root,root)
  %doc AUTHORS README* NEWS INSTALL PORTS COPYING
  %doc doc/syslog-ng*
  %doc doc/sgml/sys*
  %doc %{_mandir}/man8/*
  %doc %{_mandir}/man5/*
  %attr(0700,root,root)		%config /etc/init.d/sysklogd
  %attr(0640,root,admin)	%config /etc/logrotate.d/syslog-ng
  %attr(0640,root,admin)	%config /etc/syslog-ng.conf
  %attr(0640,root,admin)	%config /etc/syslog-ng-nobind.conf
  %attr(0750,root,root)		/sbin/*

%prep
%setup -q
%patch0 -p1 -b .Makefile
%patch1 -p1
%patch2 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/ --mandir=$RPM_BUILD_ROOT/%{_mandir}
  touch src/affile.c*
  make 

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/{etc,usr,usr/share/man/man{5,8}}
  mkdir -p $RPM_BUILD_ROOT/etc/{init.d,logrotate.d,syslog-ng}
  mkdir -p $RPM_BUILD_ROOT/sbin

  make prefix=$RPM_BUILD_ROOT install
  strip $RPM_BUILD_ROOT/sbin/*

  install -m640 %{SOURCE1} $RPM_BUILD_ROOT/etc/syslog-ng.conf
  install -m750 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/sysklogd
  install -m640 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/syslog-ng
  install -m640 %{SOURCE4} $RPM_BUILD_ROOT/etc/syslog-ng-nobind.conf

  chmod 750 $RPM_BUILD_ROOT/sbin/syslog-ng

  mkdir -p $RPM_BUILD_ROOT/var/log

%post
  /sbin/chkconfig --add sysklogd

  # Sanitize logs.
  for file in /var/log/{messages,mail.log,boot.log,login.log,auth.log}
  do
    touch $file
    chmod 640 $file
    chown root.admin $file
  done

  # Potentially restart.
  if test -r /var/lock/subsys/syslog-ng; then
    /etc/init.d/sysklogd restart > /dev/null 2>&1 || :
  fi

%preun
  if [ $1 = 0 ]; then
    /sbin/chkconfig --del sysklogd
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Oct 28 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.10, Release 1.2.6
  - Fix previous changelog entry.
  - Fix the fixes that fixed the buffer overflow in macro expansion.

* Mon Oct 14 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.10, Release 1.2.5
  - Fix buffer overflow in macro expansion.

* Thu May 16 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 1.4.10, Release 1.2.4
  - Changed console_all from /dev/tty12 to /dev/tty1

* Thu May 09 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.10, Release 1.2.[123]
  - Do not package /var/log/*.
  - Since we have done this in the past, implement a workaround so the log
    files don't get blown away upon package removal/upgrade.
  - spec cleanups.
  - Move chkconfig --del to %preun from %postun.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Wed Sep 26 2001 Nicholas DeClario <nick@guardiandigital.com>
- Version 1.4.10, Release 1.1.1 (Mantis bug ID#: 0000029)
  - Fixed xconsole destination bug

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.10, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Thu Mar 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.10, Release 1.0.23
  - Made initscript look for the directory instead of the
    socket, since it's created by syslog (duh!)

* Wed Mar 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.10, Release 1.0.22
  - Added syslog-ng-nobind.conf.
  - Updated initscript to not bail if no bind /dev/log.

* Wed Mar 16 2001 Pete O'Hara <pete@guardiandigital.com>
- removed /var/log/{secure, syslog, spooler} from 
	/etc/logrotate.d/syslog-ng as they are non-existent

- removed "test" from syslog-ng.init filename 

* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.

* Wed Mar 07 2001 Pete O'Hara <pete@guardiandigital.com>
- fixed a typo in /etc/init.d/syslog-ng

* Fri Feb 09 2001 Pete O'Hara <pete@guardiandigital.com>
- made clear LOGSERVER entries in syslog-ng.conf

* Thu Feb 08 2001 Pete O'Hara <pete@guardiandigital.com>
- fixed /etc/init.d/syslog-ng to restart klogd whenever
	syslog-ng is started/restarted

* Mon Dec 11 2000 Nick DeClario <nick@guardiandigital.com>
- Fixed logging of LIDS

* Mon Dec 11 2000 Nick DeClario <nick@guardiandigital.com>
- Upgraded to latest version of syslog-ng, v1.4.10

* Thu Dec 07 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 640 /etc/syslog-ng.conf /etc/logrotate.d/syslog-ng

* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 chgrp root /etc/init.d/syslog-ng

* Sat Dec 02 2000 Pete O'Hara <pete@guardiandigital.com>
- removed /var/log/secure, syslog

* Wed Nov 29 2000 Pete O'Hara <pete@guardiandigital.com>
- syslog.init was starting klogd - removed this entry
	and syslogd status check

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- fixed syslog-ng.init and klogd start/stop

* Sat Nov 25 2000 Dave Wreski <dave@guardiandigital.com>
- make require tcp_wrappers

* Fri Nov 24 2000 Pete O'Hara <pete@guardiandigital.com>
- upgrade to 1.4.9a for security fixes

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- removed /etc/rc.d symlinks for chkconfig --add instead
- small FHS fixes (man pages)
- added /var/log files to file list
- upgrade to 1.4.5
- rebuilt using libol-0.2.19 (with new devel package)

* Thu Nov 09 2000 Nick DeClario <nick@guardiandigital.com>
- changed all syslog logs to go to messages
- redirected /var/chroot/named/dev/log logs to messages
- redirected all logs also log to messages
- moved /etc/syslog-ng/syslog-ng.conf to /etc/syslog-ng.conf

* Tue Nov 07 2000 Pete O'Hara <pete@guardiandigital.com>
- removed /etc/rc.d use 

* Fri Nov 03 2000 Pete O'Hara <pete@guardiandigital.com>
- added all level "err" to go to /var/log/messages

* Fri Jul 28 2000 Pete O'Hara <pete@guardiandigital.com>
- new RPM created for Guardian Digital Linux Lockbox
- put man pages in /usr/share/man for FHS compliance
